GNU bug report logs - #50079
27.2; imenu doesn't work with inline access modifier in ruby

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: christopher flöß <chris.floess@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 50079 <at> debbugs.gnu.org and christopher flöß <chris.floess@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50079 <at> debbugs.gnu.org:


Received: (at 50079) by debbugs.gnu.org; 17 Sep 2021 14:51:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 10:51:55 2021
Received: from localhost ([127.0.0.1]:60894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRFDX-000875-Ny
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 10:51:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mRFDV-00086k-30
 for 50079 <at> debbugs.gnu.org; Fri, 17 Sep 2021 10:51:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uuW/NtAuexMjOY1sMnxlhL2Epp2NjOF1yWPwAVaptfU=; b=Gms9GmpG0+jrmvDP8JmHGuR2u5
 KqCSO+bHpmIP79wLLE1g8pUMdqBHAX107mOnLazklrWOO6KMqe/MwPZjJWdVP1g85Aip2dYB5AZ5W
 YZq0jiuYZDDMFyRo47vHGoMKPlrrsaH+5zR+5k4QNJR57Gfl8M3ToOR6aLDpFDm/JN1U=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mRFDM-0000zY-Ee; Fri, 17 Sep 2021 16:51:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50079: 27.2; imenu doesn't work with inline access modifier
 in ruby
References: <2143857935.109225.1629141626922@HIDDEN>
 <0ae11064-38be-4c80-4ebb-3ba57c49dc9d@HIDDEN>
Date: Fri, 17 Sep 2021 16:51:41 +0200
In-Reply-To: <0ae11064-38be-4c80-4ebb-3ba57c49dc9d@HIDDEN> (Dmitry Gutov's
 message of "Tue, 17 Aug 2021 04:09:07 +0300")
Message-ID: <87h7ejw8zm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > Thanks for the
 report, 
 should be fixed now in commit 9e2cc406d3. There wasn't any response to this,
 so I'm assuming that this change fixed the issue, and I'm closing this bug
 report. If there's still an issue here, please respond to the debbugs address
 and we'll re [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50079
Cc: christopher =?utf-8?B?ZmzDtsOf?= <chris.floess@HIDDEN>,
 50079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Thanks for the report, should be fixed now in commit 9e2cc406d3.

There wasn't any response to this, so I'm assuming that this change
fixed the issue, and I'm closing this bug report.  If there's still an
issue here, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50079; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50079 <at> debbugs.gnu.org:


Received: (at 50079) by debbugs.gnu.org; 17 Aug 2021 01:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 16 21:09:17 2021
Received: from localhost ([127.0.0.1]:51183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mFnbR-0004aZ-Fu
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 21:09:17 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:55897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mFnbP-0004aL-M9
 for 50079 <at> debbugs.gnu.org; Mon, 16 Aug 2021 21:09:16 -0400
Received: by mail-wm1-f54.google.com with SMTP id w24so4885215wmi.5
 for <50079 <at> debbugs.gnu.org>; Mon, 16 Aug 2021 18:09:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=N4M89o0FF3do9qxKAN9qEyoYxuMeARNlYNG8IKG5qlY=;
 b=orA1/iN3pCACjBtOGVMatwgMskVLRt3UCRUB8C+kFg8bZbX8YxYHzGuF8Po+8ONR8J
 1fP9vX1T7lnHOg8FY6/nrv5iypygrWIzVJLydhavgKYSuj0uZPBqQbOtLZ6gG0mec1KM
 IwH1N/uW/rhElH+GwmgwmBoqwxzSNB0B5BMFfHE+gciWdUQkpt8th8CHHaceQU8tZzPQ
 dj9P9gFdbJt8hcR7G67U9j1IOU7cfCFYAwfefj7f0ufm3FX9QkZEH8FyVeAMKoeO4GkU
 0a22J8kzccDOUR+MWRug8LfGh30QSR5md8vRflSNT/m20gaKqzLBoj9SsITNGIY8nhRV
 7iog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=N4M89o0FF3do9qxKAN9qEyoYxuMeARNlYNG8IKG5qlY=;
 b=hvSwkPTpsLGvjxjqk59T79Pdx9XW6eM0FOh/f6+sK6OWzhlgMXgXPzT1AXa85xvj/u
 JFAnjEYVYbN8vZPFXEswuhwB5Q8FkmzsYMAv09IpJMABhssbGwfmSvPhTMSYRJjjAZ7I
 2SLwpiY4QbtL9VmiweTlXIjf5bZPQN3qBX5rN8N+Pp+r7L3nUTjn6fGMniPXg9UDXMWB
 9ujnEicLDpsenrOEShT/nCiJfmjZjbCbq3QBzqrURCqwCw6Yu6XZHKGD9SYs5AH+/v5p
 +M85/ts/c5aja+SMe9up4ol3OHvMA10Undm+fHEM/pbBk6wayb/0Nsl1DWyUTlsdg7t5
 ovMg==
X-Gm-Message-State: AOAM533HWvqB9WB0i0WrFeFQ69Kcwciw1d4qUu+MULksHIxgdSTdej1+
 1ll8aHjU4DARBk+BI0loxRtwyGLftWo=
X-Google-Smtp-Source: ABdhPJzUQjAdGYoM1priwr+ziWT9yDwVkoy4wXZzZemMwer7LeIJSieRFVnkrytaHLHA3WOj/ArOSQ==
X-Received: by 2002:a05:600c:1d01:: with SMTP id
 l1mr724786wms.178.1629162549828; 
 Mon, 16 Aug 2021 18:09:09 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l9sm414664wrt.95.2021.08.16.18.09.08
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 16 Aug 2021 18:09:09 -0700 (PDT)
Subject: Re: bug#50079: 27.2; imenu doesn't work with inline access modifier
 in ruby
To: =?UTF-8?B?Y2hyaXN0b3BoZXIgZmzDtsOf?= <chris.floess@HIDDEN>,
 50079 <at> debbugs.gnu.org
References: <2143857935.109225.1629141626922@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0ae11064-38be-4c80-4ebb-3ba57c49dc9d@HIDDEN>
Date: Tue, 17 Aug 2021 04:09:07 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <2143857935.109225.1629141626922@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50079
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Version: 28.1

On 16.08.2021 22:20, christopher flöß via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> While editing a ruby file, invoking imenu with the following class
> definition:
> 
> class Blub
>    def hi
>      "Hi!"
>    end
> 
>    def bye
>      "Bye!"
>    end
> 
>    private def hiding
>      "You can't see me"
>    end
> end
> 
> fails to list the private method `hiding`. This is valid ruby and the
> method definition has a so-called inline access modifier
> (`private`).

Thanks for the report, should be fixed now in commit 9e2cc406d3.

No solution for Emacs 27, but I suppose you could patch your local version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50079; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Aug 2021 19:24:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 16 15:24:13 2021
Received: from localhost ([127.0.0.1]:51042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mFiDV-0004g9-3e
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 15:24:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:56558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chris.floess@HIDDEN>) id 1mFiA8-0004aU-Ia
 for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 15:20:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49516)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chris.floess@HIDDEN>)
 id 1mFiA7-0004zJ-6C
 for bug-gnu-emacs@HIDDEN; Mon, 16 Aug 2021 15:20:43 -0400
Received: from mout-p-103.mailbox.org ([80.241.56.161]:31116)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <chris.floess@HIDDEN>)
 id 1mFiA2-0007fG-14
 for bug-gnu-emacs@HIDDEN; Mon, 16 Aug 2021 15:20:41 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 4GpPBn4M3tzQk3X
 for <bug-gnu-emacs@HIDDEN>; Mon, 16 Aug 2021 21:20:33 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :subject:subject:message-id:from:from:date:date:received; s=
 mail20150812; t=1629141627; bh=a5UsjFJgAJjYb7nqvEd+1ufnOHbAsT4r/
 sSc/otHLdI=; b=qdmjwICrLk0dEbNq6+Pvw+cjdYCUWXUHdanVTQa7Z1+0t5Xh2
 vQCxPTcUGjBzM7EVThqvuB3O5fHCGtS4u9uINU2xJc+6F9PbNqzGyfVRKyrZYIdn
 GLi2aCE7Qou1fQe/Pq7WMf3c8UyIWUZVv7Jrcaq9uH+dOV0nTtHRQ1jwr3Fbnoi4
 e52T1d1P6t7+lU7C9E31O94KWkUV1NdN6Z/+JY8bkQsfAe1KdzANvgW6Tm1Lwv6z
 ivf2P7xmJ5tJqfhNbyRCTGJLy6/xL8efPCjl1MFR5C045rbYv5X21+vu1vnxJbJc
 /N4b1r4IGB0VxBsgIX5p0nYWDvP/sDRY4hJ/Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1629141631;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=khyBJTP/4mTxvWoeHVXL8ognbULTJs/BZHnXERkFWw4=;
 b=MQw2bpKpBtByzkNnAt1h5Ehy1/E/R5gTFsnI5ZDcDDyXXRj0ayAnEcb12KU/cMrhNRL6F8
 dFd5C/XpQ8O3DO+Fo4l1YCQcUcjET5earSjF2UT4ijo+unnH2XuruB84sheQwMvC6WS1nB
 w4di2YVT+1WUiNv/YD5uWS2plsvtvEFf3nUWmR7m8DjkY5xht6YuoFyIrK4zQQP4zLXuL2
 Ov0tn+C5Cx8yh1BhzrUTRIBmR042F0WOmcz7QEJxbD3SvJR/vCMZju3JzNqNRrpSXC75hZ
 mPK6Zyg60jTDdy1kpLQNBLa9pEEhJ776L+QVo5D4kTSwM0pk6nkN0RldxKcFBw==
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id mmrZjqYdKiiv for <bug-gnu-emacs@HIDDEN>;
 Mon, 16 Aug 2021 21:20:27 +0200 (CEST)
Date: Mon, 16 Aug 2021 15:20:26 -0400 (EDT)
From: =?UTF-8?Q?christopher_fl=C3=B6=C3=9F?= <chris.floess@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Message-ID: <2143857935.109225.1629141626922@HIDDEN>
Subject: 27.2; imenu doesn't work with inline access modifier in ruby
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-Rspamd-Queue-Id: 77B5718AD
X-Rspamd-UID: 1d1f12
Received-SPF: pass client-ip=80.241.56.161;
 envelope-from=chris.floess@HIDDEN; helo=mout-p-103.mailbox.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 16 Aug 2021 15:24:12 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

While editing a ruby file, invoking imenu with the following class
definition:

class Blub
  def hi
    "Hi!"
  end

  def bye
    "Bye!"
  end

  private def hiding
    "You can't see me"
  end
end

fails to list the private method `hiding`. This is valid ruby and the
method definition has a so-called inline access modifier
(`private`). With the alternative syntax (also valid ruby syntax):

class Blub
  def hi
    "Hi!"
  end

  def bye
    "Bye!"
  end

  private

  def hiding
    "You can't see me"
  end
end

imenu behaves as expected. This problem was first posted to
emacs.stackexchange.com

https://emacs.stackexchange.com/questions/68102/rubyimenu-not-showing-private-methods?noredirect=1#comment107753_68102

Regards,
Chris


In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.27, cairo version 1.17.4)
of 2021-03-26 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12012000
System Description: Arch Linux

Recent messages:
Loading /home/chris/.emacs.d/scripts-enabled/.gitkeep...done
Loading /home/chris/.emacs.d/scripts-enabled/circe.el (source)...done
Loading /home/chris/.emacs.d/scripts-enabled/mercury-vars.el (source)...
loading mercury
Loading /home/chris/.emacs.d/scripts-enabled/mercury-vars.el (source)...done
Loading /home/chris/.emacs.d/scripts-enabled/poly-vue.el (source)...done
Loading /home/chris/.emacs.d/scripts-enabled/sql-connections.el (source)...done
Error in defhydra hydra-test-magic: (Each head should have at least two items: nil)
Turning on magit-auto-revert-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
--localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-wide-int
--with-modules --with-cairo --with-harfbuzz 'CFLAGS=-march=x86-64
-mtune=generic -O2 -pipe -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
value of $LC_ALL: C
value of $LANG: en_US.UTF-8
value of $XMODIFIERS: @im=ibus
locale-coding-system: nil

Major mode: ruby-mode

Minor modes in effect:
global-company-mode: t
dap-tooltip-mode: t
dap-ui-mode: t
treemacs-filewatch-mode: t
treemacs-follow-mode: t
treemacs-git-mode: deferred
treemacs-fringe-indicator-mode: t
dap-mode: t
which-key-mode: t
global-rbenv-mode: t
projectile-rails-global-mode: t
global-flycheck-mode: t
projectile-mode: t
counsel-mode: t
ivy-mode: t
global-git-commit-mode: t
magit-auto-revert-mode: t
shell-dirtrack-mode: t
override-global-mode: t
global-subword-mode: t
delete-selection-mode: t
global-display-line-numbers-mode: t
global-hl-line-mode: t
savehist-mode: t
show-paren-mode: t
display-time-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
column-number-mode: t
line-number-mode: t
transient-mark-mode: t

Load-path shadows:
/home/chris/.emacs.d/elpa/jsonrpc-1.0.14/jsonrpc hides /usr/share/emacs/27.2/lisp/jsonrpc
/home/chris/.emacs.d/elpa/xref-1.1.0/xref hides /usr/share/emacs/27.2/lisp/progmodes/xref
/home/chris/.emacs.d/elpa/project-0.6.0/project hides /usr/share/emacs/27.2/lisp/progmodes/project
/home/chris/.emacs.d/elpa/flymake-1.1.1/flymake hides /usr/share/emacs/27.2/lisp/progmodes/flymake
/home/chris/.emacs.d/elpa/eldoc-1.11.0/eldoc hides /usr/share/emacs/27.2/lisp/emacs-lisp/eldoc

Features:
(shadow sort mail-extr emacsbug sendmail company-oddmuse
company-keywords company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company hydra ac-solargraph auto-complete popup solargraph
request url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf mailcap polymode poly-lock polymode-base
polymode-weave polymode-export polymode-compat polymode-methods
polymode-core polymode-classes eieio-custom eieio-base dap-mouse dap-ui
lsp-treemacs lsp-treemacs-themes treemacs treemacs-header-line
treemacs-compatibility treemacs-mode treemacs-interface
treemacs-extensions treemacs-mouse-interface treemacs-tags
treemacs-persistence treemacs-filewatch-mode treemacs-follow-mode
treemacs-rendering treemacs-async treemacs-workspaces treemacs-dom
treemacs-visuals treemacs-fringe-indicator treemacs-scope pulse
treemacs-faces treemacs-icons treemacs-themes treemacs-core-utils
pfuture treemacs-logging treemacs-customization treemacs-macros gdb-mi
bindat gud bui bui-list bui-info bui-entry bui-core bui-history
bui-button bui-utils cus-edit cus-start cus-load lsp-lens dap-mode
dap-launch posframe dap-overlays lsp-ui lsp-ui-flycheck lsp-ui-doc
goto-addr lsp-ui-imenu lsp-ui-peek lsp-ui-sideline face-remap
lsp-ui-util lsp-mode lsp-protocol url-util tree-widget wid-edit spinner
pcase network-stream nsm markdown-mode noutline outline lv inline ht
ewoc yasnippet multiple-cursors mc-separate-operations
rectangular-region-mode mc-mark-pop mc-edit-lines
mc-hide-unmatched-lines-mode mc-mark-more mc-cycle-cursors
multiple-cursors-core rect which-key rspec-mode rbenv projectile-rails
rake f s inflections inf-ruby ruby-mode smie autoinsert flycheck
find-func yaml-imenu yaml-mode projectile grep ibuf-ext ibuffer
ibuffer-loaddefs thingatpt counsel xdg advice xref project compile
swiper ivy ivy-faces ivy-overlay colir color gruvbox-light-medium-theme
gruvbox autothemer magit-submodule magit-obsolete magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func imenu magit-diff smerge-mode diff
diff-mode git-commit log-edit message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process with-editor shell pcomplete comint ring
server ansi-color magit-mode transient format-spec magit-git
magit-section magit-utils crm dash cl-extra help-mode use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core finder-inf
cap-words superword subword delsel display-line-numbers hl-line savehist
paren time edmacro kmacro rx info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 491770 211664)
(symbols 48 41908 65)
(strings 32 166161 26411)
(string-bytes 1 4909819)
(vectors 16 65430)
(vector-slots 8 774850 224788)
(floats 8 697 1269)
(intervals 56 2225 454)
(buffers 1000 12))




Acknowledgement sent to christopher flöß <chris.floess@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50079; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Sep 2021 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.